#!/bin/bash
# Custard User Profile Management
# Joshua Higgins
# GPL

# Write permission set to users for a profile

# $1 = Profile Name

HOMEDIR="/home"

userlist=`ls /etc/custard/profiles/$1/users`

for user in $userlist
do
echo "Setting user $user to profile $1..."

cp -r /etc/custard/profiles/$1/home/.[a-zA-Z0-9]* $HOMEDIR/$user
cp -r /etc/custard/profiles/$1/home/* $HOMEDIR/$user

chown -R $user:$user $HOMEDIR/$user/.[a-zA-Z0-9]*
chown -R $user:$user $HOMEDIR/$user/*

chown -R $user $HOMEDIR/$user/.[a-zA-Z0-9]*
chown -R $user $HOMEDIR/$user/*

chmod -R 755 $HOMEDIR/$user/.[a-zA-Z0-9]*
chmod -R 755 $HOMEDIR/$user/*
chmod -R 755 $HOMEDIR/$user/Desktop/*

done
