#!/bin/bash
# Custard User Profile Management
# Joshua Higgins
# GPL

# Add Profile script

# $1 = Profile Name
# $2 = Profile Description

rm -r /etc/custard/profiles/$1

mkdir /etc/custard/profiles/$1
mkdir /etc/custard/profiles/$1/gconf
mkdir /etc/custard/profiles/$1/extradots
mkdir /etc/custard/profiles/$1/users
mkdir /etc/custard/profiles/$1/home

echo "$2" > /etc/custard/profiles/$1/description

useradd --home-dir /etc/custard/profiles/$1/home --no-user-group $1
chown $1 /etc/custard/profiles/$1/home
